Hooks:PostHook(WeaponFactoryTweakData, "init", "ScoutStance", function(self)
-- Pronghorn --
-- Fixed stance_mod (Main Sight)
self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(0.01, -11, 0.7),
	rotation = Rotation(0, 0, 0)
}

for i, part_id in pairs(self.wpn_fps_snp_scout.uses_parts) do
	if self.parts[part_id].type == "sight" then
		if part_id ~= "wpn_fps_upg_o_specter" and part_id ~= "wpn_fps_upg_o_shortdot_vanilla" and part_id ~= "wpn_fps_snp_scout_o_iron_up" and part_id ~= "wpn_fps_upg_o_mbus_pro" and part_id ~= "wpn_fps_upg_o_northtac" then
			self.parts[part_id].stance_mod.wpn_fps_snp_scout = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_scout)
		end
	end
end

self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(0, -12, 0.74),
	rotation = Rotation(0, 0, 0)
}
self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_snp_scout = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_scout)

self.parts.wpn_fps_upg_o_atibal.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-0.02, -8, -0.1),
	rotation = Rotation(0, 0, 0)
}

self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-0, -42, -0.21),
	rotation = Rotation(0, 0, 0)
}
self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-0, -39.4, -0.22),
	rotation = Rotation(0, 0, 0)
}

-- Fixed stance_mod (Piggybag Sight)
self.parts.wpn_fps_upg_o_specter_piggyback.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-0.03, -12, -2.45),
	rotation = Rotation(0, 0, 0)
}
self.parts.wpn_fps_upg_o_cs_piggyback.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-0.03, -11, -2.7),
	rotation = Rotation(0, 0, 0)
}

-- Fixed stance_mod (Secondary Sight)
self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-2.58, -9, -6.95),
	rotation = Rotation(0, 0, -45)
}
self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_scout = {
	translation = Vector3(-2.4, -9, -7.35),
	rotation = Rotation(0, 0, -45)
}
self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_snp_scout = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_scout)
self.parts.wpn_fps_upg_o_45steel.stance_mod.wpn_fps_snp_scout = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_scout)

end)
